gi-pango-1.0.29: Pango bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Pango.Structs.AttrFontFeatures

Contents

- Exported types
- Methods
  - new
- Properties
  - attr
  - features

Description

The `PangoAttrFontFeatures` structure is used to represent OpenType font features as an attribute.

Since: 1.38

Synopsis

- newtype AttrFontFeatures = AttrFontFeatures (ManagedPtr AttrFontFeatures)
- newZeroAttrFontFeatures :: MonadIO m => m AttrFontFeatures
- attrFontFeaturesNew :: (HasCallStack, MonadIO m) => Text -> m Attribute
- getAttrFontFeaturesAttr :: MonadIO m => AttrFontFeatures -> m Attribute
- clearAttrFontFeaturesFeatures :: MonadIO m => AttrFontFeatures -> m ()
- getAttrFontFeaturesFeatures :: MonadIO m => AttrFontFeatures -> m (Maybe Text)
- setAttrFontFeaturesFeatures :: MonadIO m => AttrFontFeatures -> CString -> m ()

# Exported types

newtype AttrFontFeatures Source #

Memory-managed wrapper type.

Constructors

AttrFontFeatures (ManagedPtr AttrFontFeatures) |

#### Instances

Instances details

Eq AttrFontFeatures Source # |
Instance details Defined in GI.Pango.Structs.AttrFontFeatures Methods (==) :: AttrFontFeatures -> AttrFontFeatures -> Bool Source # (/=) :: AttrFontFeatures -> AttrFontFeatures -> Bool Source #
BoxedPtr AttrFontFeatures Source # |
Instance details Defined in GI.Pango.Structs.AttrFontFeatures Methods boxedPtrCopy :: AttrFontFeatures -> IO AttrFontFeatures Source # boxedPtrFree :: AttrFontFeatures -> IO () Source #
CallocPtr AttrFontFeatures Source # |
Instance details Defined in GI.Pango.Structs.AttrFontFeatures Methods boxedPtrCalloc :: IO (Ptr AttrFontFeatures) Source #
ManagedPtrNewtype AttrFontFeatures Source # |
Instance details Defined in GI.Pango.Structs.AttrFontFeatures Methods toManagedPtr :: AttrFontFeatures -> ManagedPtr AttrFontFeatures Source #
tag ~ 'AttrSet => Constructible AttrFontFeatures tag Source # |
Instance details Defined in GI.Pango.Structs.AttrFontFeatures Methods new :: MonadIO m => (ManagedPtr AttrFontFeatures -> AttrFontFeatures) -> [AttrOp AttrFontFeatures tag] -> m AttrFontFeatures Source #

newZeroAttrFontFeatures :: MonadIO m => m AttrFontFeatures Source #

Construct a `AttrFontFeatures` struct initialized to zero.

# Methods

## new

attrFontFeaturesNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Text | `features`: a string with OpenType font features, with the syntax of the <https://www.w3.org/TR/css-fonts-4/#font-rend-desc CSS font-feature-settings property>
-> m Attribute | Returns: the newly allocated `PangoAttribute`, which should be freed with `attributeDestroy`

Create a new font features tag attribute.

You can use this attribute to select OpenType font features like small-caps, alternative glyphs, ligatures, etc. for fonts that support them.

Since: 1.38

# Properties

## attr

the common portion of the attribute

getAttrFontFeaturesAttr :: MonadIO m => AttrFontFeatures -> m Attribute Source #

Get the value of the “`attr`” field. When overloading is enabled, this is equivalent to

    get attrFontFeatures #attr

## features

the features, as a string in CSS syntax

clearAttrFontFeaturesFeatures :: MonadIO m => AttrFontFeatures -> m () Source #

Set the value of the “`features`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #features

getAttrFontFeaturesFeatures :: MonadIO m => AttrFontFeatures -> m (Maybe Text) Source #

Get the value of the “`features`” field. When overloading is enabled, this is equivalent to

    get attrFontFeatures #features

setAttrFontFeaturesFeatures :: MonadIO m => AttrFontFeatures -> CString -> m () Source #

Set the value of the “`features`” field. When overloading is enabled, this is equivalent to

    set attrFontFeatures [ #features := value ]